Subject: Re: bash problem. (Am I missing something?)
From: [email-masked] (Earnie Boyd)

3 Dec 1997 10:36:43 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: [email-masked] (Mikey)
>To: [email-masked]
>Subject: Re: bash problem.  (Am I missing something?)
>Date: Tue, 02 Dec 1997 23:46:09 GMT
>Reply-To: [email-masked]
>
>try 
>
>source ./test.sh
>
>#!/bin/sh causes the script to run in a subshell, so any exports
>are lost when the toplevel shell resumes. at least I think that's 
right;^)

wrong.  source is equates to Bourne's . command which will read the 
given FILENAME and execute the commands in the current shell context.  
This means that any environment variable set will remain at the end of 
the script.  Any cd performed will remain in effect as well.

>no idea where the error comes from unless #! aren't the very first 2 
chars in the file.
>

I believe the problem to be \r in the script file.  And possibly 
text!=binary.

[snip]

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".